Package com.xebialabs.xlrelease.serialization.json.xltype

## Class CiJson2Reader

- java.lang.Object
- - com.xebialabs.xlrelease.serialization.json.xltype.CiJson2Reader

- All Implemented Interfaces:
    `com.xebialabs.xltype.serialization.CiReader`

      public class CiJson2Reader
      extends java.lang.Object
      implements com.xebialabs.xltype.serialization.CiReader

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CiJson2Reader​(javax.json.JsonObject json)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CiJson2Reader` | `create​(java.lang.String jsonObject)` |
    `CiAttributes` | `getCiAttributes()` |
    `java.lang.String` | `getCiReference()` |
    `java.util.List<java.lang.String>` | `getCiReferences()` |
    `com.xebialabs.xltype.serialization.CiListReader` | `getCurrentCiListReader()` |
    `java.lang.String` | `getCurrentPropertyName()` |
    `java.util.Map<java.lang.String,​ExternalProperty>` | `getExternalProperties()` |
    `java.lang.String` | `getId()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getStringMap()` |
    `java.lang.String` | `getStringValue()` |
    `java.util.List<java.lang.String>` | `getStringValues()` |
    `java.lang.String` | `getToken()` |
    `java.lang.String` | `getType()` |
    `java.util.List<ValidationMessage>` | `getValidationMessages()` |
    `boolean` | `hasMoreProperties()` |
    `boolean` | `isCiReference()` |
    `com.xebialabs.xltype.serialization.CiReader` | `moveIntoNestedProperty()` |
    `void` | `moveIntoProperty()` |
    `void` | `moveOutOfProperty()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CiJson2Reader

          public CiJson2Reader​(javax.json.JsonObject json)

  - ### Method Detail

    - #### create

          public static CiJson2Reader create​(java.lang.String jsonObject)

    - #### getType

          public java.lang.String getType()

      Specified by:
        `getType` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### getToken

          public java.lang.String getToken()

      Specified by:
        `getToken` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### getCiAttributes

          public CiAttributes getCiAttributes()

      Specified by:
        `getCiAttributes` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### hasMoreProperties

          public boolean hasMoreProperties()

      Specified by:
        `hasMoreProperties` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### moveIntoProperty

          public void moveIntoProperty()

      Specified by:
        `moveIntoProperty` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### moveIntoNestedProperty

          public com.xebialabs.xltype.serialization.CiReader moveIntoNestedProperty()

      Specified by:
        `moveIntoNestedProperty` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### moveOutOfProperty

          public void moveOutOfProperty()

      Specified by:
        `moveOutOfProperty` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### getCurrentPropertyName

          public java.lang.String getCurrentPropertyName()

      Specified by:
        `getCurrentPropertyName` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### getStringValue

          public java.lang.String getStringValue()

      Specified by:
        `getStringValue` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### getStringValues

          public java.util.List<java.lang.String> getStringValues()

      Specified by:
        `getStringValues` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### getStringMap

          public java.util.Map<java.lang.String,​java.lang.String> getStringMap()

      Specified by:
        `getStringMap` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### isCiReference

          public boolean isCiReference()

      Specified by:
        `isCiReference` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### getCiReference

          public java.lang.String getCiReference()

      Specified by:
        `getCiReference` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### getCiReferences

          public java.util.List<java.lang.String> getCiReferences()

      Specified by:
        `getCiReferences` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### getCurrentCiListReader

          public com.xebialabs.xltype.serialization.CiListReader getCurrentCiListReader()

      Specified by:
        `getCurrentCiListReader` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### getValidationMessages

          public java.util.List<ValidationMessage> getValidationMessages()

      Specified by:
        `getValidationMessages` in interface `com.xebialabs.xltype.serialization.CiReader`

    - #### getExternalProperties

          public java.util.Map<java.lang.String,​ExternalProperty> getExternalProperties()

      Specified by:
        `getExternalProperties` in interface `com.xebialabs.xltype.serialization.CiReader`